\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 3D Surface Mesh Generation

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Manifold_tag Class Reference
Tag Classes

`#include <CGAL/make_surface_mesh.h>`

## Definition

The class `Manifold_tag` is a tag class used to monitor the surface meshing algorithm.

When instantiated with the tag `Manifold_tag` the function template `make_surface_mesh()` ensures that the output mesh is a manifold surface without boundary.

See Also
  `make_surface_mesh()`
  `Manifold_with_boundary_tag`
  `Non_manifold_tag`

Examples:
  Surface_mesher/mesh_a_3d_gray_image.cpp.